curl --request POST \
--url https://api.example.com/api/game/validate \
--header 'Content-Type: application/json' \
--data '
{
"targetItemId": "<string>",
"selectedComponentIds": [
"<string>"
]
}
'{
"correct": true,
"correctComponentIds": [
"<string>"
],
"correctComponentNames": [
"<string>"
],
"correctComponents": [
{
"itemId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"cost": 123
}
],
"incorrectComponentIds": [
"<string>"
],
"message": "<string>",
"scorePoints": 123
}Validate the player’s answer to a crafting question
curl --request POST \
--url https://api.example.com/api/game/validate \
--header 'Content-Type: application/json' \
--data '
{
"targetItemId": "<string>",
"selectedComponentIds": [
"<string>"
]
}
'{
"correct": true,
"correctComponentIds": [
"<string>"
],
"correctComponentNames": [
"<string>"
],
"correctComponents": [
{
"itemId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"cost": 123
}
],
"incorrectComponentIds": [
"<string>"
],
"message": "<string>",
"scorePoints": 123
}curl -X POST "https://api.crafterlol.com/api/game/validate" \
-H "Content-Type: application/json" \
-d '{
"targetItemId": "3078",
"selectedComponentIds": ["3044", "3051", "3057"]
}'
{
"correct": true,
"correctComponentIds": ["3044", "3051", "3057"],
"correctComponentNames": ["Phage", "Hearthbound Axe", "Sheen"],
"correctComponents": [
{
"itemId": "3044",
"name": "Phage",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3044.png",
"cost": 1100
},
{
"itemId": "3051",
"name": "Hearthbound Axe",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3051.png",
"cost": 1100
},
{
"itemId": "3057",
"name": "Sheen",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3057.png",
"cost": 700
}
],
"incorrectComponentIds": [],
"message": "Correct! You've successfully crafted Trinity Force.",
"scorePoints": 100
}
{
"correct": false,
"correctComponentIds": ["3044", "3051", "3057"],
"correctComponentNames": ["Phage", "Hearthbound Axe", "Sheen"],
"correctComponents": [
{
"itemId": "3044",
"name": "Phage",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3044.png",
"cost": 1100
},
{
"itemId": "3051",
"name": "Hearthbound Axe",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3051.png",
"cost": 1100
},
{
"itemId": "3057",
"name": "Sheen",
"imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3057.png",
"cost": 700
}
],
"incorrectComponentIds": ["1001", "1036"],
"message": "Incorrect. The correct components are: Phage, Hearthbound Axe, Sheen.",
"scorePoints": 0
}
targetItemId field is required and cannot be nullselectedComponentIds field is required and cannot be empty